summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Alfredsen <loki_val@gentoo.org>2009-01-18 18:21:08 +0000
committerPeter Alfredsen <loki_val@gentoo.org>2009-01-18 18:21:08 +0000
commit12faa6a9e6ef219bf6ffd739f78f7444c71c9bcc (patch)
tree612b7d556d1477c81e3355260515120b6bca241b
parentReplace references of xmms with audacious by default. Remove unused part of t... (diff)
downloadgentoo-2-12faa6a9e6ef219bf6ffd739f78f7444c71c9bcc.tar.gz
gentoo-2-12faa6a9e6ef219bf6ffd739f78f7444c71c9bcc.tar.bz2
gentoo-2-12faa6a9e6ef219bf6ffd739f78f7444c71c9bcc.zip
Rip default() functions so we only run econf and emake if the appropriate files exist.
-rw-r--r--eclass/base.eclass12
1 files changed, 9 insertions, 3 deletions
diff --git a/eclass/base.eclass b/eclass/base.eclass
index 0f72ec7536fa..d54b5b3e0bae 100644
--- a/eclass/base.eclass
+++ b/eclass/base.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/base.eclass,v 1.36 2009/01/17 16:56:55 mr_bones_ Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/base.eclass,v 1.37 2009/01/18 18:21:08 loki_val Exp $
# @ECLASS: base.eclass
# @MAINTAINER:
@@ -166,11 +166,17 @@ base_src_work() {
case $1 in
configure)
debug-print-section configure
- econf || die "died running econf, $FUNCNAME:configure"
+ if [[ -x ${ECONF_SOURCE:-.}/configure ]]
+ then
+ econf || die "died running econf, $FUNCNAME:configure"
+ fi
;;
make)
debug-print-section make
- emake || die "died running emake, $FUNCNAME:make"
+ if [ -f Makefile ] || [ -f GNUmakefile ] || [ -f makefile ]
+ then
+ emake || die "died running emake, $FUNCNAME:make"
+ fi
;;
all)
debug-print-section all